package com.zilber.boot.module.booking.form.modify;

import com.zilber.boot.module.booking.form.BookingForm;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @Author LJX
 * @TIME 2025-04-27 9:40
 * @PROJECT termicheck-platform
 * created by Intellij IDEA
 * Description
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("预约记录修改表单")
public class BookingMF
        extends BookingForm
{

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @NotBlank(message = "id不能为空")
    private Long id;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

}
